Skip to main content

Account Aggregator - Data Recurring API

This document highlights the Account Aggregator - Data Recurring API details.

API Description

Objective

The Account Aggregator - FI Data Recurring API enables periodic data fetches for use cases that require asynchronous retrieval of financial records.

API URL

https://ind-engine.thomas.hyperverge.co/v1/AAFIDataRecurring

API Endpoint

AAFIDataRecurring

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Method - POST

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Inputs

The following table outlines the parameter required in the API's request body:

ParameterMandatory or OptionalDescriptionAllowed ValuesDefault Value
encryptedRequestMandatoryThe encrypted request received as a response from the first API callNot ApplicableNot Applicable
requestDateMandatoryThe request date received as a response from the first API callNot ApplicableNot Applicable
encryptedFiuIdMandatoryThe encrypted FIU ID received as a response from the first API callNot ApplicableNot Applicable
consentHandleMandatoryThe consent handle received as a response from the first API callNot ApplicableNot Applicable
custIdMandatoryThe mobile number of the userValid mobile numberNot Applicable
numberOfMonthsMandatoryThe number of months for which data is requested, passed as a stringString representing the number of monthsNot Applicable
dateTimeRangeFromMandatoryThe start date and time for the data rangeDate-time format: YYYY-MM-DDTHH:mm:ss.SSSZNot Applicable
dateTimeRangeToMandatoryThe end date and time for the data rangeDate-time format: YYYY-MM-DDTHH:mm:ss.SSSZNot Applicable

Request

The following code snippet demonstrates a standard curl request for the API:

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/AAFIDataRecurring' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"encryptedRequest": "<Encrypted_Request_From_First_API_Call>",
"requestDate": "<Request_Date_From_First_API_Call>",
"encryptedFiuId": "<Encrypted_FiuId_From_First_API_Call>",
"consentHandle": "<Consent_Handle_From_First_API_Call>",
"custId": "<user_Mobile_Number>",
"numberOfMonths": "<Number_Of_Months_As_String>",
"dateTimeRangeFrom": "2023-04-15T00:00:00.000+0000",
"dateTimeRangeTo": "2023-07-16T00:00:00.000+0000"
}'

Success Response

The following code snippet demonstrates a success response from the API:

{
"status": "success",
"statusCode": "200",
"metaData": {
"requestId": "<Unique_Request_ID>"
},
"result": {
"details": {
"header": {
"rid": "<Unique_Request_ID>",
"ts": "<Timestamp_in_ISO_Format>",
"channelId": "<Channel_ID>"
},
"body": {
"accounts": [
{
"linkRefNumber": "<Link_Reference_Number>",
"status": "<Account_Status>",
"data": {
"accountDetails": {
"accountNumber": "<Account_Number>",
"accountType": "<Account_Type>",
"balance": "<Balance>"
}
}
}
]
}
}
}
}

Success Response Details

The following table outlines the details of the success response from the API:

ParameterTypeDescription
statusstringThe status of the request
statusCodeintegerThe HTTP status code of the response
requestIdstringA unique identifier for the request
ridstringA unique identifier for the response
tsstringThe timestamp of the response
channelIdstringThe channel through which the request was processed
linkRefNumberstringA unique reference number for the linked account
statusstringThe status of the linked account
accountNumberstringThe account number of the linked account
accountTypestringThe type of the linked account
balancestringThe balance of the linked account
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: